Package: groovy.lang

## [Java] Interface PropertyAccessInterceptor

- groovy.lang.Interceptor

- All Superinterfaces:
    Interceptor

      public interface PropertyAccessInterceptor
      extends Interceptor

  An interface that adds the ability to intercept property getters/setters

  Since:
    Oct 24, 2005

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `beforeGet(Object object, String property)` Intercepts a getXXX call and returns a result.
    `` | `public void` | `beforeSet(Object object, String property, Object newValue)` Intercepts a setXXX call

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Interceptor` | `afterInvoke, beforeInvoke, doInvoke`

- - ### Method Detail

    - #### public Object beforeGet(Object object, String property)

      Intercepts a getXXX call and returns a result. The result is replaced by the real value if doGet() return false

      Parameters:
        `object` - The target object
        `property` - The property to get
      Returns:
        A value supplied by the interceptor

    - #### public void beforeSet(Object object, String property, Object newValue)

      Intercepts a setXXX call

      Parameters:
        `object` - The target object
        `property` - The property to set
        `newValue` - The new value